<template>
  <section class="f-column">
    <h1 class="f-title">Prognostic Model</h1>
    <div class="f-description">
      Prognostic models for <strong>{{ modelCategory | getModelName }}</strong>
    </div>
    <div class="f-card">
      <prognostic-model-graph />
      <prognostic-model-patient-classifier class="self-end" />
      <prognostic-model-patient-classifier-error />
    </div>
    <div class="f-card">
      <prognostic-model-attribute-rank />
    </div>
  </section>
</template>

<script>
import { mapState } from "vuex";

import prognosticModelGraph from "@/components/PrognosticModelGraph.vue";
import prognosticModelPatientClassifier from "@/components/PrognosticModelPatientClassifier.vue";
import prognosticModelPatientClassifierError from "@/components/PrognosticModelPatientClassifierError.vue";
import prognosticModelAttributeRank from "@/components/PrognosticModelAttributeRank.vue";

export default {
  components: {
    prognosticModelGraph,
    prognosticModelPatientClassifier,
    prognosticModelPatientClassifierError,
    prognosticModelAttributeRank
  },
  filters: {
    getModelName(value) {
      var categoriesNames = {
        "lstPexMuscstrength_ElbowFlex" : "Elbow Flexion Muscle Strength",
        "lstPexMuscstrength_ShoulderAbduc" : "Shoulder Abduction Muscle Strength",
        "lstPexMuscstrength_ShoulderExrot" : "Shoulder External Rotation Muscle Strength",
        "yonPexPain" : "Pain"
        };
      return categoriesNames[value];
    }
  },
  computed: {
    ...mapState(["modelCategory"])
  }
};
</script>
